/*****************************************************************************
	AmyEdit - A GTKMM LaTeX Editor
	Copyright (C) 2004-2006 Rob Page
	email:  page <dot> rob <at> gmail <dot> com

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *****************************************************************************/

#ifndef _INTERFACES_H
#define _INTERFACES_H

#include "TextListModel.hh"

namespace Interfaces
{

	class TextListView {
		public:
			virtual void select(const Glib::ustring& filename = "") = 0;
			virtual Glib::ustring get_selected(int columns = 0) = 0;
			virtual Glib::RefPtr<TextListModel> get_model() = 0;
	};
}

#endif

