/*****************************************************************************
	AmyEdit - A GTKMM LaTeX Editor
	Copyright (C) 2004-2005 Rob Page
	email:  page <dot> rob <at> gmail <dot> com

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *****************************************************************************/

#ifndef _STATUSBAR_HH
#define _STATUSBAR_HH

#include <gtkmm/box.h>
#include <gtkmm/label.h>
#include <gtkmm/image.h>

class StatusBar : public Gtk::HBox
{
	public:
		StatusBar();
		~StatusBar();
		void setReady(bool setting=true);
		void setLine(int number);
	private:
		Gtk::Label linenumber;
		Gtk::Image ready;
};

#endif	/* _STATUSBAR_HH */
