#ifndef _GTKSOURCEVIEWMM_SOURCEVIEW_P_H
#define _GTKSOURCEVIEWMM_SOURCEVIEW_P_H
/* sourceview.h
 * 
 * Copyright (C) 2004-2005 Jae Jang
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <gtkmm/private/bin_p.h>
#include <gtkmm/private/textview_p.h>
#include <glibmm/class.h>

namespace Gtk
{

class SourceView_Class : public Glib::Class
{
public:
#ifndef DOXYGEN_SHOULD_SKIP_THIS
  typedef SourceView CppObjectType;
  typedef GtkSourceView BaseObjectType;
  typedef GtkSourceViewClass BaseClassType;
  typedef Gtk::TextView_Class CppClassParent;
  typedef GtkTextViewClass BaseClassParent;

  friend class SourceView;
#endif /* DOXYGEN_SHOULD_SKIP_THIS */

  const Glib::Class& init();

  static void class_init_function(void* g_class, void* class_data);

  static Glib::ObjectBase* wrap_new(GObject*);

protected:

  //Callbacks (virtual functions):
};


} // namespace GtkSourceView

#endif /* _GTKSOURCEVIEWMM_SOURCEVIEW_P_H */
